AMQPChannel::commitTransaction
AMQPChannel::isConnected
AMQPChannel
PHP Manual

# AMQPChannel::__construct

(PECL amqp >= Unknown)

AMQPChannel::__construct — Create an instance of an AMQPChannel object

### Description

AMQPChannel::__construct ( AMQPConnection `$amqp_connection` )

Creates an AMQPChannel instance representing a channel on the given connection.

### Parameters

`amqp_connection`

  A instance of AMQPConnection with an active connection to a broker.

### Errors/Exceptions

Throws AMQPConnectionException if the connection to the broker was lost.

### Return Values

An instance of AMQPChannel.

AMQPChannel::commitTransaction
AMQPChannel::isConnected
AMQPChannel
PHP Manual